1. Create a directory `c_headers` in this directory
   (adhd/cras/client/cras-sys/generator).

2. Copy
```
cras_audio_format.h
cras_iodev_info.h
cras_messages.h
cras_shm.h
cras_types.h
cras_util.h
```

From cras/src/common from commit
c2c32a0994b8c68dd7795885ef2910ad7ccc477e

in to `c_headers/`

2. If we use both `packed` and `align(4)` for a struct, bindgen will generate
   it as an opaque struct.

`cras_server_state` is created from C with `packed` and `aligned(4)` and shared
through a shared memory area.

Structs with `packed` and `align(4)` have the same memory layout as those with
`packed` except for some extra alignment bytes at the end.

Therefore, using only `packed` for `cras_server_state` from Rust side is safe.

Modify `cras_server_state` from
`__attribute__ ((packed, aligned(4)))`
to
`__attribute__ ((packed))`

3. And use command
```
cargo run
```

to generate `lib_gen.rs`

4. Add the following header to the generated file:

```
// Copyright 2019 The Chromium OS Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

/*
 * automatically generated by rust-bindgen
 * from files in cras/src/common in adhd:
 * cras_audio_format.h
 * cras_iodev_info.h
 * cras_messages.h
 * cras_shm.h
 * cras_types.h
 * cras_util.h
 *
 * at commit c2c32a0994b8c68dd7795885ef2910ad7ccc477e
 */
```

5. Copy `lib_gen.rs` to
`cras-sys/src/gen.rs
